curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "edit-image",
"input": {
"model": "gpt-image-1-high-edit",
"prompt": "Change the background to a tropical beach",
"image_urls": ["https://example.com/my-photo.jpg"]
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "edit-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Edit images using OpenAI’s GPT Image model at high quality.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "edit-image",
"input": {
"model": "gpt-image-1-high-edit",
"prompt": "Change the background to a tropical beach",
"image_urls": ["https://example.com/my-photo.jpg"]
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "edit-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 35 credits |
| Tool | edit-image |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | edit-image |
input.model | string | Yes | gpt-image-1-high-edit |
input.prompt | string | Yes | Description of the edit to apply |
input.image_urls | string[] | Yes | Array with the image URL to edit (1 image) |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "edit-image",
"input": {
"model": "gpt-image-1-high-edit",
"prompt": "Change the background to a tropical beach",
"image_urls": ["https://example.com/my-photo.jpg"]
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "edit-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}